Subject: Mea culpa

From: <[email-masked]>
Date: 06 Apr 2014 12:15:56 -0700

I screwed up.  I put the wrong address down for the CTIUG show.  Either I used an old address or I just couldn't read my own handwriting without my glasses, but I got it wrong.  I haven't actually entered the address in several years, since this computer goes to the site automatically.  In addition,  we had some difficulty hearing the iPad when Tursi called in to offer some comments and info.  We were not in our usual room, and had to take space in what amounts to a storage closet at the library.  We were crammed into a space where we could barely get all the TI equipment and my laptop onto a narrow table, and the iPad on which we take Skype calls was on the floor.  We will try to do better next time.  --Hal